-- Copyright (c) 2018 Rudy Matela.
-- Distributed under the 3-Clause BSD licence (see the file LICENSE).
import Test

import Text.PercentFormat
import Data.List (isInfixOf)

import qualified Data.Ratio as R

main :: IO ()
main = reportTests tests

tests :: [Bool]
tests =
  [ True

{-
  -- TODO: make the following pass:
  , "%e" -% 0 == "0.0e0"
  , "%e" -% 1 == "1.0e0"
  , "%e" -% 2 == "2.0e0"
  , "%e" -% 0.1   == "1.0e-1"
  , "%e" -% 0.12  == "1.2e-1"
  , "%e" -% 0.123 == "1.23e-1"
  , "%e" -% 1.0   == "1.0e0"
  , "%e" -% 1.2   == "1.2e0"
  , "%e" -% 1.23  == "1.23e0"
  , "%e" -% 10.0  == "1.0e1"
  , "%e" -% 12.0  == "1.2e1"
  , "%e" -% 12.3  == "1.23e1"
  , "%.1e" -% 0     == "0.0e0"
  , "%.1e" -% 1     == "1.0e0"
  , "%.1e" -% 2     == "2.0e0"
  , "%.1e" -% 0.1   == "1.0e-1"
  , "%.1e" -% 0.12  == "1.2e-1"
  , "%.1e" -% 0.123 == "1.2e-1"
  , "%.1e" -% 1.0   == "1.0e0"
  , "%.1e" -% 1.2   == "1.2e0"
  , "%.1e" -% 1.23  == "1.2e0"
  , "%.1e" -% 10.0  == "1.0e1"
  , "%.1e" -% 12.0  == "1.2e1"
  , "%.1e" -% 12.3  == "1.2e1"
  , "%.2e" -% 0     == "0.00e0"
  , "%.2e" -% 1     == "1.00e0"
  , "%.2e" -% 2     == "2.00e0"
  , "%.2e" -% 0.1   == "1.00e-1"
  , "%.2e" -% 0.12  == "1.20e-1"
  , "%.2e" -% 0.123 == "1.23e-1"
  , "%.2e" -% 1.0   == "1.00e0"
  , "%.2e" -% 1.2   == "1.20e0"
  , "%.2e" -% 1.23  == "1.23e0"
  , "%.2e" -% 10.0  == "1.00e1"
  , "%.2e" -% 12.0  == "1.20e1"
  , "%.2e" -% 12.3  == "1.23e1"
-}
  ]
